[arch-commits] Commit in gnome-session/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Oct 11 18:20:05 EDT 2008


    Date: Saturday, October 11, 2008 @ 18:20:05
  Author: jgc
Revision: 15002

upgpkg: gnome-session 2.24.0-1

Modified:
  gnome-session/trunk/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++--------------
 1 file changed, 9 insertions(+), 14 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 22:06:07 UTC (rev 15001)
+++ PKGBUILD	2008-10-11 22:20:05 UTC (rev 15002)
@@ -2,35 +2,30 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gnome-session
-pkgver=2.22.3
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="The GNOME Session Handler"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
-depends=('tcp_wrappers' 'libgnomeui>=2.22.1' 'gnome-settings-daemon>=2.22.2.1' 'at-spi>=1.22.1')
+depends=('libgnomeui>=2.24.0' 'policykit-gnome>=0.9.2' 'gnome-settings-daemon>=2.24.0' 'at-spi>=1.24.0' 'startup-notification>=0.9')
 makedepends=('perlxml' 'pkgconfig')
 options=(!emptydirs)
 install=gnome-session.install
 url="http://www.gnome.org"
 groups=('gnome')
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2
-	gnome.desktop)
-md5sums=('859b61b5368aa000c9bcb8b0d0688ca2'
-	 '152cddde06e16f16641746467f7ff965')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('2f586c2829430937fb2d18b4b8478bad')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
 	      --with-reboot-command=reboot --with-halt-command=halt \
 	      --with-rsh-command=ssh \
 	      --with-at-spi-registryd-directory=/usr/lib/at-spi || return 1
-
   make || return 1
-  make DESTDIR=${startdir}/pkg GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
-  install -d -m755 ${startdir}/pkg/etc/X11/sessions
-  install -m644 ${startdir}/src/gnome.desktop ${startdir}/pkg/etc/X11/sessions/gnome.desktop || return 1
+  make DESTDIR="${pkgdir}" GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 install || return 1
 
-  install -d -m755 ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -d -m755 "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list